Bug 490834 - dma-debug warning with Atheros L1 Gigabit Ethernet
dma-debug warning with Atheros L1 Gigabit Ethernet
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 05:32 EDT by Bernie Innocenti
Modified: 2010-04-28 01:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 01:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2009-03-18 05:32:09 EDT
This is 2.6.29-0.258.rc8.git2.fc11.x86_64

------------[ cut here ]------------
WARNING: at lib/dma-debug.c:479 check_unmap+0x2b4/0x3dd() (Not tainted)
Hardware name: P5K
atl1 0000:02:00.0: DMA-API: device driver frees DMA memory with wrong function [device address=0x00000000224d3800] [size=90 bytes] [mapped as page] [unmapped as single]
Modules linked in: ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_ULOG xt_TCPMSS iptable_mangle iptable_nat nf_nat cpufreq_ondemand acpi_cpufreq freq_table uinput pcspkr snd_hda_codec_realtek i2c_i801 firewire_ohci firewire_core skge iTCO_wdt iTCO_vendor_support snd_hda_intel crc_itu_t snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss atl1 snd_pcm mii snd_timer snd pata_jmicron soundcore snd_page_alloc btusb bluetooth asus_atk0110 hwmon ata_generic pata_acpi ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 2138, comm: dhclient Not tainted 2.6.29-0.258.rc8.git2.fc11.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8104bae3>] warn_slowpath+0xbc/0xf0
 [<ffffffff8106d828>] ? graph_unlock+0x6b/0x77
 [<ffffffff81070eb3>] ? __lock_acquire+0xb67/0xc0d
 [<ffffffff81396b58>] ? _spin_lock_irqsave+0x7d/0x8b
 [<ffffffff811a6a5d>] ? get_hash_bucket+0x28/0x34
 [<ffffffff811a5405>] ? swiotlb_virt_to_bus+0x1f/0x23
 [<ffffffff811a7308>] check_unmap+0x2b4/0x3dd
 [<ffffffff813967df>] ? _spin_unlock_irqrestore+0x41/0x58
 [<ffffffff811a757e>] debug_dma_unmap_page+0x50/0x52
 [<ffffffffa019d567>] pci_unmap_page+0x78/0x95 [atl1]
 [<ffffffffa019eb0c>] atl1_intr+0x490/0xa53 [atl1]
 [<ffffffff8109a086>] ? handle_edge_irq+0xd5/0x129
 [<ffffffff81098763>] handle_IRQ_event+0x27/0x63
 [<ffffffff8109a091>] handle_edge_irq+0xe0/0x129
 [<ffffffff81013c04>] do_IRQ+0xd9/0x151
 [<ffffffff81011e93>] ret_from_intr+0x0/0x2e
 [<ffffffff81055e42>] ? run_timer_softirq+0x1ba/0x1fd
 [<ffffffff8109b61c>] ? __rcu_process_callbacks+0xd1/0x24e
 [<ffffffff8109b7d0>] ? rcu_process_callbacks+0x37/0x5d
 [<ffffffff81051353>] ? __do_softirq+0x94/0x179
 [<ffffffff810127ac>] ? call_softirq+0x1c/0x30
 [<ffffffff8101393e>] ? do_softirq+0x52/0xb9
 [<ffffffff81050f76>] ? irq_exit+0x53/0x90
 [<ffffffff81023b53>] ? smp_apic_timer_interrupt+0x8e/0xa7
 [<ffffffff81012183>] ? apic_timer_interrupt+0x13/0x20
 <EOI>  [<ffffffff810c6192>] ? vma_adjust+0x88/0x3ab
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff810c6c49>] ? vma_merge+0x297/0x30d
 [<ffffffff810c7b4a>] ? __vm_enough_memory+0x21/0x127
 [<ffffffff810c750c>] ? mmap_region+0x1eb/0x4a1
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff810c7ac6>] ? do_mmap_pgoff+0x304/0x367
 [<ffffffff81015395>] ? sys_mmap+0x9c/0xdd
 [<ffffffff8101133a>] ? system_call_fastpath+0x16/0x1b
---[ end trace 72bdf7403a28c69a ]---
Comment 1 Bug Zapper 2009-06-09 08:20:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:14:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bernie Innocenti 2010-04-28 01:09:23 EDT
I have not seen this bug in recent kernels.

Note You need to log in before you can comment on or make changes to this bug.